Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#498 closed defect (fixed)

bspIo printk doesn't support "%i" format

Reported by: strauman Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: score Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

rtems printk doesn't support the '%i' format which is used by a lot of driver/BSP etc. code. The trivial patch allows '%i'/'%I' as an alias for '%d'/'%D'...

Release:
RTEMS-4.6.pre4

Attachments (1)

printk-format.diff (836 bytes) - added by strauman on 12/03/06 at 13:31:13.
printk-format.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 09/26/03 at 16:38:16 by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to branch and trunk.

Changed on 12/03/06 at 13:31:13 by strauman

Attachment: printk-format.diff added

printk-format.diff

Note: See TracTickets for help on using tickets.